class ActiveWorkspaceTestForm

Form for testing the active workspace.

@internal

Hierarchy

Expanded class hierarchy of ActiveWorkspaceTestForm

1 file declares its use of ActiveWorkspaceTestForm
WorkspaceFormPersistenceTest.php in core/modules/workspaces/tests/src/Kernel/WorkspaceFormPersistenceTest.php
1 string reference to 'ActiveWorkspaceTestForm'
workspaces_test.routing.yml in core/modules/workspaces/tests/modules/workspaces_test/workspaces_test.routing.yml
core/modules/workspaces/tests/modules/workspaces_test/workspaces_test.routing.yml

File

core/modules/workspaces/tests/modules/workspaces_test/src/Form/ActiveWorkspaceTestForm.php, line 21

Namespace

Drupal\workspaces_test\Form
View source
class ActiveWorkspaceTestForm extends FormBase implements WorkspaceSafeFormInterface {
  
  /**
   * The workspace manager.
   */
  protected WorkspaceManagerInterface $workspaceManager;
  
  /**
   * The test key-value store.
   */
  protected KeyValueStoreInterface $keyValue;
  
  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) : static {
    $instance = parent::create($container);
    $instance->workspaceManager = $container->get('workspaces.manager');
    $instance->keyValue = $container->get('keyvalue')
      ->get('ws_test');
    return $instance;
  }
  
  /**
   * {@inheritdoc}
   */
  public function getFormId() : string {
    return 'active_workspace_test_form';
  }
  
  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) : array {
    $form['test'] = [
      '#type' => 'textfield',
      '#ajax' => [
        'url' => Url::fromRoute('workspaces_test.get_form'),
        'callback' => function () {
          $this->keyValue
            ->set('ajax_test_active_workspace', $this->workspaceManager
            ->getActiveWorkspace()
            ->id());
          return new AjaxResponse();
        },
      ],
    ];
    return $form;
  }
  
  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) : void {
    $this->keyValue
      ->set('form_test_active_workspace', $this->workspaceManager
      ->getActiveWorkspace()
      ->id());
  }

}

Members

Title Sort descending Modifiers Object type Summary Overriden Title Overrides
ActiveWorkspaceTestForm::$keyValue protected property The test key-value store.
ActiveWorkspaceTestForm::$workspaceManager protected property The workspace manager.
ActiveWorkspaceTestForm::buildForm public function Form constructor. Overrides FormInterface::buildForm
ActiveWorkspaceTestForm::create public static function Instantiates a new instance of this class. Overrides FormBase::create
ActiveWorkspaceTestForm::getFormId public function Returns a unique string identifying the form. Overrides FormInterface::getFormId
ActiveWorkspaceTestForm::submitForm public function Form submission handler. Overrides FormInterface::submitForm
DependencySerializationTrait::$_entityStorages protected property An array of entity type IDs keyed by the property name of their storages.
DependencySerializationTrait::$_serviceIds protected property An array of service IDs keyed by property name used for serialization.
DependencySerializationTrait::__sleep public function 2
DependencySerializationTrait::__wakeup public function 2
FormBase::$configFactory protected property The config factory. 2
FormBase::$requestStack protected property The request stack. 1
FormBase::$routeMatch protected property The route match.
FormBase::config protected function Retrieves a configuration object.
FormBase::configFactory protected function Gets the config factory for this form. 2
FormBase::container private function Returns the service container.
FormBase::currentUser protected function Gets the current user. 2
FormBase::getRequest protected function Gets the request object. Overrides HtmxRequestInfoTrait::getRequest
FormBase::getRouteMatch protected function Gets the route match.
FormBase::logger protected function Gets the logger for a specific channel.
FormBase::redirect protected function Returns a redirect response object for the specified route.
FormBase::resetConfigFactory public function Resets the configuration factory.
FormBase::setConfigFactory public function Sets the config factory for this form.
FormBase::setRequestStack public function Sets the request stack object to use.
FormBase::validateForm public function Form validation handler. Overrides FormInterface::validateForm 55
HtmxRequestInfoTrait::getHtmxCurrentUrl protected function Retrieves the URL of the requesting page from an HTMX request header.
HtmxRequestInfoTrait::getHtmxPrompt protected function Retrieves the prompt from an HTMX request header.
HtmxRequestInfoTrait::getHtmxTarget protected function Retrieves the target identifier from an HTMX request header.
HtmxRequestInfoTrait::getHtmxTrigger protected function Retrieves the trigger identifier from an HTMX request header.
HtmxRequestInfoTrait::getHtmxTriggerName protected function Retrieves the trigger name from an HTMX request header.
HtmxRequestInfoTrait::isHtmxBoosted protected function Determines if the request is boosted by HTMX.
HtmxRequestInfoTrait::isHtmxHistoryRestoration protected function Determines if if the request is for history restoration.
HtmxRequestInfoTrait::isHtmxRequest protected function Determines if the request is sent by HTMX.
LoggerChannelTrait::$loggerFactory protected property The logger channel factory service.
LoggerChannelTrait::getLogger protected function Gets the logger for a specific channel.
LoggerChannelTrait::setLoggerFactory public function Injects the logger channel factory.
MessengerTrait::$messenger protected property The messenger. 25
MessengerTrait::messenger public function Gets the messenger. 25
MessengerTrait::setMessenger public function Sets the messenger.
RedirectDestinationTrait::$redirectDestination protected property The redirect destination service. 2
RedirectDestinationTrait::getDestinationArray protected function Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url.
RedirectDestinationTrait::getRedirectDestination protected function Returns the redirect destination service.
RedirectDestinationTrait::setRedirectDestination public function Sets the redirect destination service.
StringTranslationTrait::$stringTranslation protected property The string translation service. 3
StringTranslationTrait::formatPlural protected function Formats a string containing a count of items.
StringTranslationTrait::getNumberOfPlurals protected function Returns the number of plurals supported by a given language.
StringTranslationTrait::getStringTranslation protected function Gets the string translation service.
StringTranslationTrait::setStringTranslation public function Sets the string translation service to use. 2
StringTranslationTrait::t protected function Translates a string to the current language or to a given language. 1

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.